import { __awaiter } from "tslib";
import { CheckIfInstanceNameExistsDocument, } from "../../codegen/gql/graphql";
export function doesIntegrationInstanceExist(urqlClient, customerId, integrationName) {
    var _a, _b, _c, _d;
    return __awaiter(this, void 0, void 0, function* () {
        const resp = yield gqlCheckIfInstanceExists(urqlClient, {
            customerId,
            name: integrationName,
        });
        return ((_d = (_c = (_b = (_a = resp.data) === null || _a === void 0 ? void 0 : _a.instances) === null || _b === void 0 ? void 0 : _b.nodes) === null || _c === void 0 ? void 0 : _c.length) !== null && _d !== void 0 ? _d : []) > 0;
    });
}
function gqlCheckIfInstanceExists(urqlClient, vars) {
    return __awaiter(this, void 0, void 0, function* () {
        return urqlClient.query(CheckIfInstanceNameExistsDocument, vars).toPromise();
    });
}
